Subject: SMITHY Recomendations?

From: [email-masked] (Bill Laird)
Date: 3 Jul 1996 11:10:23 GMT

A couple of weeks ago there was a post requesting information regarding
experiences with the SMITHY lathe/mill/drill.  There were no responses
that I saw.  I am contemplating purchasing one and would be very
grateful for any recommendations, pro or con, based on experience.

I am particularly interested in a comparison of the SMITHY with comparable
machines such as those China built units sold by Harbor Freight, ERCO,
Grizzly, etc.

>From  what I can see from the pictures in the colorful SMITHY brochure, the
finish and overall quality looks better than the pictures I have seen of
the Harbor Freight class.  SMITHY also offers full customer support and
accessories.

Anyone else interested in getting sales information from SMITHY may contact
them at SMITHY, PO Box 1517, Ann Arbor, MI 48106-9899, or 1-800-476-4849.

Although there is some discussion on the China built Harbor/ERCO/Grizzly
type machines in the FAQ, I could find nothing on SMITHY.  Is that because
it is a new product?

Any information would be appreciated.

Bill Laird
Houston, Texas